Subject: Re: 23.1.50; Checkdoc should recognize "minor mode"

From: Lennart Borgman <[email-masked]>
Date: Mon, 14 Sep 2009 00:21:07 +0200

On Sun, Sep 13, 2009 at 10:26 PM, Chong Yidong <[email-masked]> wrote:
>> You are not allowed by checkdoc to write "minor mode `my-mode'".
>> Please allow that.
>
> Please be specific.

You can write "function `my-mode'" or "variable `my-mode'" in a doc
string to make checkdoc happy. However I would like to write "minor
mode  `my-mode'" instead since it is more clear. And I think the
`my-mode' link should go to the function since that is wher the doc
string from define-minor-mode shows up.